Free Support Forum - aspose.com

Any support for Visio versions below 11?

I get this error message opening a .vsd document
image.png (9.5 KB)

Any plan at Aspose to support old Visio versions ?
Or any workaround ?

Thanks,
Pierre

@pnocera

Would you kindly share your sample Visio files with us. We will log an investigation ticket in our issue tracking system and share the ID with you.

Here’s the document,

visiodoc.zip (44.5 KB)

Thanks,
Pierre

@pnocera

Thanks for sharing the sample document.

We regret to share that Aspose.Diagram API does not support Visio drawings older than Microsoft Office Visio 2003 and we do not plan to add such support in future. However, as a workaround - please open this drawing in the Microsoft Visio application and save in version 11.0 or higher before processing it.